## ETableGroupLeaf

ETableGroupLeaf

## Functions

ETableGroup * | e_table_group_leaf_new ()
gboolean | e_table_group_leaf_is_editing ()

## Properties

gboolean | alternating-row-colors | Write
gint | cursor-mode | Write
gboolean | drawfocus | Write
gboolean | frozen | Read / Write
gdouble | height | Read
gboolean | horizontal-draw-grid | Write
gint | length-threshold | Write
gdouble | minimum-width | Read / Write
ESelectionModel * | selection-model | Write
gboolean | uniform-row-height | Read / Write
gboolean | vertical-draw-grid | Write
gdouble | width | Read / Write

## Types and Values

struct | ETableGroupLeaf

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GnomeCanvasItem
                ╰── GnomeCanvasGroup
                    ╰── ETableGroup
                        ╰── ETableGroupLeaf

## Description

## Functions

### e_table_group_leaf_new ()

    ETableGroup *
    e_table_group_leaf_new (GnomeCanvasGroup *parent,
                            ETableHeader *full_header,
                            ETableHeader *header,
                            ETableModel *model,
                            ETableSortInfo *sort_info);

`ETableGroupLeaf` is an `ETableGroup` which simply contains an `ETableItem`.

#### Parameters

parent | The `GnomeCanvasGroup` to create a child of. |
full_header | The full header of the `ETable`. |
header | The current header of the `ETable`. |
model | The `ETableModel` of the `ETable`. |
sort_info | The `ETableSortInfo` of the `ETable`. |

#### Returns

The new `ETableGroupLeaf`.

### e_table_group_leaf_is_editing ()

    gboolean
    e_table_group_leaf_is_editing (ETableGroupLeaf *etgl);

## Types and Values

### struct ETableGroupLeaf

    struct ETableGroupLeaf;

## Property Details

### The `“alternating-row-colors”` property

      “alternating-row-colors”   gboolean

Alternating Row Colors.

Flags: Write

Default value: FALSE

### The `“cursor-mode”` property

      “cursor-mode”              gint

Cursor mode.

Flags: Write

Allowed values: [0,2]

Default value: 0

### The `“drawfocus”` property

      “drawfocus”                gboolean

Draw focus.

Flags: Write

Default value: FALSE

### The `“frozen”` property

      “frozen”                   gboolean

Frozen.

Flags: Read / Write

Default value: FALSE

### The `“height”` property

      “height”                   gdouble

Height.

Flags: Read

Allowed values: >= 0

Default value: 0

### The `“horizontal-draw-grid”` property

      “horizontal-draw-grid”     gboolean

Horizontal Draw Grid.

Flags: Write

Default value: FALSE

### The `“length-threshold”` property

      “length-threshold”         gint

Length Threshold.

Flags: Write

Allowed values: >= -1

Default value: 0

### The `“minimum-width”` property

      “minimum-width”            gdouble

Minimum Width.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“selection-model”` property

      “selection-model”          ESelectionModel *

Selection model.

Flags: Write

### The `“uniform-row-height”` property

      “uniform-row-height”       gboolean

Uniform row height.

Flags: Read / Write

Default value: FALSE

### The `“vertical-draw-grid”` property

      “vertical-draw-grid”       gboolean

Vertical Draw Grid.

Flags: Write

Default value: FALSE

### The `“width”` property

      “width”                    gdouble

Width.

Flags: Read / Write

Allowed values: >= 0

Default value: 0